@echo.
set URL=localhost:7091
set SRVNAM=AdminServer
set APPSRV=BEA
set JVM=JRockit
set JDKBIN=C:\Program Files\Java\jrockit-jdk1.6.0_22-R28.1.1-4.0.1\bin
@set PATH_OLD=%PATH%
@set PATH=%JDKBIN%;%PATH%
@set CLASSPATH_OLD=%CLASSPATH%
@set CLASSPATH=.
@echo.
javac JmxMBeanLesenAufrufen.java
@echo.
@java JmxMBeanLesenAufrufen "Uptime"                       "java.lang:type=Runtime"            "%URL%"
@java JmxMBeanLesenAufrufen "ProcessCpuTime"               "java.lang:type=OperatingSystem"    "%URL%"
@java JmxMBeanLesenAufrufen "AvailableProcessors"          "java.lang:type=OperatingSystem"    "%URL%"
@java JmxMBeanLesenAufrufen "CollectionCount"              "java.lang:type=GarbageCollector,*" "%URL%"
@java JmxMBeanLesenAufrufen "CollectionTime"               "java.lang:type=GarbageCollector,*" "%URL%"
@if not "%JVM%" == "JRockit" goto noJRockit
@java JmxMBeanLesenAufrufen "VMGeneratedCPULoad"           "oracle.jrockit.management:type=Runtime" "%URL%"
@java JmxMBeanLesenAufrufen "CPULoad"                      "oracle.jrockit.management:type=Runtime" "%URL%"
:noJRockit
@if not "%APPSRV%" == "BEA" goto noBea
@java JmxMBeanLesenAufrufen "State"                        "com.bea:Name=%SRVNAM%,Type=ServerRuntime" "%URL%"
@java JmxMBeanLesenAufrufen "ListenAddress"                "com.bea:Name=%SRVNAM%,Type=ServerRuntime" "%URL%"
@java JmxMBeanLesenAufrufen "ListenPort"                   "com.bea:Name=%SRVNAM%,Type=ServerRuntime" "%URL%"
@java JmxMBeanLesenAufrufen "DefaultURL"                   "com.bea:Name=%SRVNAM%,Type=ServerRuntime" "%URL%"
@java JmxMBeanLesenAufrufen "ActivationTime"               "com.bea:Name=%SRVNAM%,Type=ServerRuntime" "%URL%"
@java JmxMBeanLesenAufrufen "ActiveTransactionsTotalCount" "com.bea:ServerRuntime=%SRVNAM%,Name=JTARuntime,Type=JTARuntime" "%URL%"
@java JmxMBeanLesenAufrufen "TransactionTotalCount"        "com.bea:ServerRuntime=%SRVNAM%,Name=JTARuntime,Type=JTARuntime" "%URL%"
@java JmxMBeanLesenAufrufen "ConnectionsTotalCount"        "com.bea:ServerRuntime=%SRVNAM%,Name=%SRVNAM%.jms,Type=JMSRuntime" "%URL%"
@java JmxMBeanLesenAufrufen "JMSServersTotalCount"         "com.bea:ServerRuntime=%SRVNAM%,Name=%SRVNAM%.jms,Type=JMSRuntime" "%URL%"
:noBea
@echo.
@set PATH=%PATH_OLD%
@set CLASSPATH=%CLASSPATH_OLD%
