<%@ page import="java.text.*" %>
<%@ page import="java.util.*" %>
<%@ page import="de.meinefirma.meinprojekt.GcCpuTxMBeanTimerTask" %>

<%!
/** Memory-Leak-Schleife. */
public void meinBoesesMemoryLeak( String speed, JspWriter out ) throws Exception
{
   int          n = Math.min( 100, Math.max( 1, Integer.parseInt( speed ) ) );
   String       meinString = "";
   List<String> meineListe = new ArrayList<String>();
   long         time = System.currentTimeMillis() + 10000;
   out.println( "Zeit; CPUs; MemTotalMB; MemUsedMB; Garbage Collection; CPU-Auslastung<br>" );
   while( true ) {
      for( int i=0; i<1000/n; i++ ) meinString += i;
      meineListe.add( meinString );
      if( System.currentTimeMillis() > time ) {
         time = System.currentTimeMillis() + 10000;
         GcCpuTxMBeanTimerTask mbtt = (GcCpuTxMBeanTimerTask) getServletConfig().getServletContext().getAttribute( GcCpuTxMBeanTimerTask.class.getName() );
         String[] ss = mbtt.getResult().split( ";" );
         out.println( ( ss.length <= 5 ) ? mbtt.getResult() :
                      (ss[0] + "; " + ss[1] + " CPUs; " + ss[2] + " MB; " + ss[3] + " MB; " + ss[4] + " % GC; " + ss[5] + " % CPU <br>") );
         out.flush();
      }
   }
}
%>

<%
   String start = request.getParameter( "start" );
   String speed = request.getParameter( "speed" );
   if( speed == null ) speed = "10";
%>

<html>
<head><title>Garbage-Collection-Test</title></head>
<body>
<h2>Garbage-Collection-Test</h2>
<form name="meinFormular" method="post">
Geschwindigkeit <input type="text"   name="speed" value='<%= speed %>' size=10 maxlength=10>
                <input type="submit" name="start" value="Starte MeinBoesesMemoryLeak"><br>
</form>

<%
   try {
      if( start != null ) meinBoesesMemoryLeak( speed, out );
   } catch( Throwable t ) {
      out.println( t );
      out.flush();
   }
%>

</body>
</html>
